LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_typelib_CompoundMember_Init Struct Reference

Init struct of compound members for typelib_typedescription_new(). More...

`#include <typedescription.h>`

## Public Attributes
typelib_TypeClass | eTypeClass
| type class of compound member More...
rtl_uString * | pTypeName
| name of type of compound member More...
rtl_uString * | pMemberName
| name of compound member More...

## Detailed Description

Init struct of compound members for typelib_typedescription_new().

## Member Data Documentation

typelib_TypeClass _typelib_CompoundMember_Init::eTypeClass

type class of compound member

rtl_uString* _typelib_CompoundMember_Init::pMemberName

name of compound member

rtl_uString* _typelib_CompoundMember_Init::pTypeName

name of type of compound member

For a member of an instantiated polymorphic struct type that is of parameterized type, this will be a null pointer.

The documentation for this struct was generated from the following file:

- typelib/typedescription.h